import { PropType } from 'vue';
import { IEntity } from '@fly-vue/lcdp-api';
import { IListLocalOperationParams } from '@fly-vue/ide-core';
declare const _default: import("vue").DefineComponent<{
    data: {
        type: PropType<IEntity>;
        required: true;
    };
    isSystem: {
        type: BooleanConstructor;
    };
}, {
    __sfc: boolean;
    props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
        data: IEntity;
        isSystem: boolean;
    } & {}>>>;
    emit: (event: "on-remove", ...args: any[]) => void;
    list: import("vue").Ref<{
        _event?: string | undefined;
        enabled?: boolean | undefined;
        trans?: boolean | undefined;
        fn?: string | undefined;
        saved?: boolean | undefined;
    }[]>;
    params: IListLocalOperationParams;
    up: (index: number) => void;
    down: (index: number) => void;
    remove: (index: number) => Promise<void>;
    warning: import("vue").Ref<boolean>;
    finalColumns: import("vue").ComputedRef<import("@fly-vue/ide-base").ITableColumn[]>;
    add: () => void;
    removeEvent: (index: number) => Promise<void>;
    validate: () => true | "请补全必填项";
    save: () => Promise<boolean>;
    init: () => void;
    SelectOrchTree: () => Promise<typeof import("@fly-vue/ide-core/@types/components/form/select-orch-tree.vue")>;
    Row: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/row.vue")>;
    Column: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/column.vue")>;
    LcText: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/text.vue")>;
    Table: () => Promise<typeof import("@fly-vue/ide-base/@types/components/table/table.vue")>;
    SelectEventType: import("vue").DefineComponent<{
        value: {
            type: StringConstructor;
        };
        placeholder: {
            type: StringConstructor;
        };
    }, {
        __sfc: boolean;
        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{} & {
            value?: string | undefined;
            placeholder?: string | undefined;
        }>>>;
        emit: (event: "input" | "on-change", ...args: any[]) => void;
        v: import("vue").Ref<string | undefined>;
        innerValue: import("vue").Ref<string | undefined>;
        list: any[];
        onChange: (item?: any) => void;
        LcSelect: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/select.vue")>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("input" | "on-change")[], string, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: StringConstructor;
        };
        placeholder: {
            type: StringConstructor;
        };
    }>>, {}>;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "on-remove"[], string, Readonly<import("vue").ExtractPropTypes<{
    data: {
        type: PropType<IEntity>;
        required: true;
    };
    isSystem: {
        type: BooleanConstructor;
    };
}>>, {
    isSystem: boolean;
}>;
export default _default;
