import { IListLocalOperationParams } from '@fly-vue/ide-core';
import { FieldType, IField, FieldDataType, IEntity, FieldInputType } from '@fly-vue/lcdp-api';
import { ITableColumn, isValidVariable } from '@fly-vue/ide-base';
declare const _default: import("vue").DefineComponent<{
    data: null;
    isSystem: {
        type: BooleanConstructor;
    };
}, {
    __sfc: boolean;
    props: {
        data?: IEntity | undefined;
        isSystem?: boolean | undefined;
    };
    emit: (event: "input" | "on-remove" | "on-change", ...args: any[]) => void;
    inputTypeList: {
        label: string;
        value: FieldInputType;
    }[];
    showToggleAllFields: string[];
    checkAll: import("vue").Ref<Record<string, boolean>>;
    warning: import("vue").Ref<boolean>;
    isFieldsEditable: import("vue").Ref<boolean>;
    list: import("vue").Ref<{
        name: string;
        title?: string | undefined;
        description?: string | undefined;
        type?: FieldType | undefined;
        dataType?: FieldDataType | undefined;
        primaryKey?: boolean | undefined;
        nullable?: boolean | undefined;
        autoIncrement?: boolean | undefined;
        idGenerator?: string | undefined;
        length?: number | undefined;
        precision?: number | undefined;
        scale?: number | undefined;
        insertable?: boolean | undefined;
        updatable?: boolean | undefined;
        writable?: boolean | undefined;
        sortable?: boolean | undefined;
        filterable?: boolean | undefined;
        searchable?: boolean | undefined;
        dynamic?: boolean | undefined;
        defaultValue?: any;
        updateValue?: any;
        dict?: string | undefined;
        domain?: string | undefined;
        columnName?: string | undefined;
        columnDefault?: any;
        annotations?: Record<string, any> | undefined;
        order?: number | undefined;
        inputType?: FieldInputType | undefined;
    }[]>;
    params: IListLocalOperationParams;
    up: (index: number) => void;
    down: (index: number) => void;
    addToList: (e: {
        name: string;
        title?: string | undefined;
        description?: string | undefined;
        type?: FieldType | undefined;
        dataType?: FieldDataType | undefined;
        primaryKey?: boolean | undefined;
        nullable?: boolean | undefined;
        autoIncrement?: boolean | undefined;
        idGenerator?: string | undefined;
        length?: number | undefined;
        precision?: number | undefined;
        scale?: number | undefined;
        insertable?: boolean | undefined;
        updatable?: boolean | undefined;
        writable?: boolean | undefined;
        sortable?: boolean | undefined;
        filterable?: boolean | undefined;
        searchable?: boolean | undefined;
        dynamic?: boolean | undefined;
        defaultValue?: any;
        updateValue?: any;
        dict?: string | undefined;
        domain?: string | undefined;
        columnName?: string | undefined;
        columnDefault?: any;
        annotations?: Record<string, any> | undefined;
        order?: number | undefined;
        inputType?: FieldInputType | undefined;
    }) => void;
    remove: (index: number) => Promise<void>;
    finalColumns: import("vue").ComputedRef<ITableColumn[]>;
    validate: () => true | "请补全必填项" | "名称只支持大小写字母、数字和下划线，并且不以数字开头";
    getInputTypeLabel: (value?: FieldInputType | undefined) => string | undefined;
    add: () => void;
    removeField: (index: number) => Promise<void>;
    fieldValidate: () => true | "请补全必填项" | "名称只支持大小写字母、数字和下划线，并且不以数字开头";
    fromObjectToList: (obj: Record<string, IField>) => IField[];
    fromListToObject: (list: IField[]) => Record<string, any>;
    ignoreNext: import("vue").Ref<boolean>;
    onCheckAll: (name: string) => void;
    InputExpression: () => Promise<typeof import("@fly-vue/ide-core/@types/components/form/input-expression.vue")>;
    SelectDict: () => Promise<typeof import("@fly-vue/ide-core/@types/components/form/select-dict.vue")>;
    FieldType: typeof FieldType;
    FieldDataType: typeof FieldDataType;
    Row: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/row.vue")>;
    Column: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/column.vue")>;
    LcText: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/text.vue")>;
    Icon: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/icon.vue")>;
    LcSelect: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/select.vue")>;
    Table: () => Promise<typeof import("@fly-vue/ide-base/@types/components/table/table.vue")>;
    isValidVariable: typeof isValidVariable;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("input" | "on-remove" | "on-change")[], string, Readonly<import("vue").ExtractPropTypes<{
    data: null;
    isSystem: {
        type: BooleanConstructor;
    };
}>>, {
    isSystem: boolean;
}>;
export default _default;
