import { IEntity } from '@fly-vue/lcdp-api';
declare const _default: import("vue").DefineComponent<{
    id: null;
    data: null;
}, {
    __sfc: boolean;
    props: {
        id?: string | undefined;
        data: IEntity;
    };
    emit: (event: "update:data", ...args: any[]) => void;
    isEditable: import("vue").ComputedRef<boolean>;
    entity: import("vue").Ref<{
        name: string;
        title: string;
        description: string;
        tableName: string;
        schema?: string | undefined;
        datasource?: string | undefined;
        className?: string | undefined;
        source?: string | undefined;
        multiTenant?: {
            enabled?: boolean | undefined;
            field?: string | undefined;
        } | undefined;
        softDelete?: {
            enabled?: boolean | undefined;
            field?: string | undefined;
        } | undefined;
        dynamic?: boolean | undefined;
        audited?: boolean | undefined;
        fields: Record<string, import("@fly-vue/lcdp-api").IField>;
        relations: Record<string, import("@fly-vue/lcdp-api").IRelation>;
        indexes: Record<string, import("@fly-vue/lcdp-api").IIndex>;
        onEvents: Record<string, import("@fly-vue/lcdp-api").ICallback[]>;
    }> | import("vue").WritableComputedRef<IEntity>;
    defaultDatasource: import("vue").Ref<any>;
    defaultDatabase: import("vue").Ref<any>;
    enabledSoftDelete: import("vue").Ref<boolean | undefined>;
    softDeleteField: import("vue").Ref<string | undefined>;
    validate: () => true | "请输入实体编码" | "请指定逻辑删除字段";
    Row: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/row.vue")>;
    Column: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/column.vue")>;
    LcForm: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/form.vue")>;
    Space: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/space.vue")>;
    LcFormItem: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/form-item.vue")>;
    required: {
        required: boolean;
        message: string;
        trigger: string;
    };
    SelectField: () => Promise<typeof import("@fly-vue/ide-core/@types/components/form/select-field.vue")>;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "update:data"[], string, Readonly<import("vue").ExtractPropTypes<{
    id: null;
    data: null;
}>>, {}>;
export default _default;
