import { PropType } from 'vue';
import { IEntity, IEntityPage } from '@fly-vue/lcdp-api';
declare const _default: import("vue").DefineComponent<{
    data: {
        type: PropType<IEntity>;
        required: true;
    };
}, {
    __sfc: boolean;
    props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
        data: IEntity;
    } & {}>>>;
    list: import("vue").Ref<{
        title: string;
        name: string;
        packageName: string;
        id: string;
        meta: {
            title?: string | undefined;
            type?: any;
        };
    }[]>;
    remove: (page: IEntityPage) => Promise<void>;
    edit: (page: IEntityPage) => void;
    reload: () => Promise<void>;
    showCreateEntityPage: () => void;
    getPageTypeLabel: (page: IEntityPage) => string;
    columns: import("@fly-vue/ide-base").ITableColumn[];
    Row: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/row.vue")>;
    Column: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/column.vue")>;
    LcText: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/text.vue")>;
    Icon: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/icon.vue")>;
    Table: () => Promise<typeof import("@fly-vue/ide-base/@types/components/table/table.vue")>;
    TextCode: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/text-code.vue")>;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
    data: {
        type: PropType<IEntity>;
        required: true;
    };
}>>, {}>;
export default _default;
