import { IEntity } from '@fly-vue/lcdp-api';
import { isValidVariable } from '@fly-vue/ide-base';
declare const _default: import("vue").DefineComponent<{
    entityId: null;
    entity: null;
}, {
    __sfc: boolean;
    props: {
        entityId: string;
        entity: IEntity;
    };
    emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
    fieldsToCompare: string[];
    warning: import("vue").Ref<boolean>;
    list: import("vue").Ref<{
        changeType?: "new" | "update" | "delete" | undefined;
        name?: string | undefined;
        title?: string | undefined;
        description?: string | undefined;
        type?: import("@fly-vue/lcdp-api").FieldType | undefined;
        dataType?: import("@fly-vue/lcdp-api").FieldDataType | undefined;
        primaryKey?: boolean | undefined;
        nullable?: boolean | undefined;
        autoIncrement?: boolean | undefined;
        idGenerator?: string | undefined;
        length?: number | undefined;
        precision?: number | undefined;
        scale?: number | undefined;
        insertable?: boolean | undefined;
        updatable?: boolean | undefined;
        writable?: boolean | undefined;
        sortable?: boolean | undefined;
        filterable?: boolean | undefined;
        searchable?: boolean | undefined;
        dynamic?: boolean | undefined;
        defaultValue?: any;
        updateValue?: any;
        dict?: string | undefined;
        domain?: string | undefined;
        columnName?: string | undefined;
        columnDefault?: any;
        annotations?: Record<string, any> | undefined;
        order?: number | undefined;
        inputType?: import("@fly-vue/lcdp-api").FieldInputType | undefined;
    }[]>;
    selected: import("vue").Ref<Record<string, boolean>>;
    reload: () => Promise<void>;
    doCompare: (oldFieldsObj: Record<string, any>, dbFieldsObj: Record<string, any>) => void;
    save: () => Promise<void>;
    isValid: import("vue").ComputedRef<boolean>;
    columns: import("@fly-vue/ide-base").ITableColumn[];
    Column: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/column.vue")>;
    LcText: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/text.vue")>;
    Table: () => Promise<typeof import("@fly-vue/ide-base/@types/components/table/table.vue")>;
    isValidVariable: typeof isValidVariable;
    LcLine: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/line.vue")>;
    FormBtns: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/form-btns.vue")>;
    IconBoolean: import("vue").DefineComponent<{
        value: {
            type: BooleanConstructor;
        };
        oldValue: {
            type: BooleanConstructor;
        };
        changeType: null;
    }, {
        __sfc: boolean;
        Row: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/row.vue")>;
        Icon: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/icon.vue")>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: BooleanConstructor;
        };
        oldValue: {
            type: BooleanConstructor;
        };
        changeType: null;
    }>>, {
        value: boolean;
        oldValue: boolean;
    }>;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<import("vue").ExtractPropTypes<{
    entityId: null;
    entity: null;
}>>, {}>;
export default _default;
