import { IField, IJoinField } from '@fly-vue/lcdp-api';
import { PropType } from 'vue';
declare const _default: import("vue").DefineComponent<{
    value: {
        type: PropType<IJoinField[]>;
        default: () => never[];
    };
    fields: {
        type: PropType<IField[]>;
        required: true;
    };
    targetFields: {
        type: PropType<IField[]>;
    };
    disabled: {
        type: BooleanConstructor;
    };
    readonly: {
        type: BooleanConstructor;
    };
}, {
    __sfc: boolean;
    props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
        value: IJoinField[];
        fields: IField[];
        disabled: boolean;
        readonly: boolean;
    } & {
        targetFields?: IField[] | undefined;
    }>>>;
    emit: (event: "input" | "on-ok" | "on-show", ...args: any[]) => void;
    list: import("vue").Ref<{
        local: string;
        target: string;
    }[]> | import("vue").WritableComputedRef<IJoinField[]>;
    isShowModal: import("vue").Ref<boolean>;
    candidates: import("vue").Ref<{
        local: string;
        target: string;
    }[]>;
    valid: import("vue").ComputedRef<boolean>;
    init: () => void;
    add: () => void;
    save: () => void;
    showModal: () => void;
    Row: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/row.vue")>;
    Column: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/column.vue")>;
    LcText: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/text.vue")>;
    Space: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/space.vue")>;
    Icon: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/icon.vue")>;
    IconBtn: () => Promise<typeof import("@fly-vue/ide-base/@types/components/button/icon-btn.vue")>;
    LcModal: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/modal.vue")>;
    FormBtns: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/form-btns.vue")>;
    LcLine: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/line.vue")>;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("input" | "on-ok" | "on-show")[], string, Readonly<import("vue").ExtractPropTypes<{
    value: {
        type: PropType<IJoinField[]>;
        default: () => never[];
    };
    fields: {
        type: PropType<IField[]>;
        required: true;
    };
    targetFields: {
        type: PropType<IField[]>;
    };
    disabled: {
        type: BooleanConstructor;
    };
    readonly: {
        type: BooleanConstructor;
    };
}>>, {
    value: IJoinField[];
    disabled: boolean;
    readonly: boolean;
}>;
export default _default;
