import { PropType } from 'vue';
import { IEntity, IIndex } from '@fly-vue/lcdp-api';
import { Checkbox, Button } from 'view-design';
import { IListLocalOperationParams } from '@fly-vue/ide-core';
declare const _default: import("vue").DefineComponent<{
    id: {
        type: StringConstructor;
    };
    data: {
        type: PropType<IEntity>;
        required: true;
    };
    isSystem: {
        type: BooleanConstructor;
    };
}, {
    __sfc: boolean;
    props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
        data: IEntity;
        isSystem: boolean;
    } & {
        id?: string | undefined;
    }>>>;
    emit: (event: "on-remove", ...args: any[]) => void;
    list: import("vue").Ref<{
        name: string;
        title?: string | undefined;
        description?: string | undefined;
        unique: boolean;
        fields?: {
            name: string;
            order: import("@fly-vue/lcdp-api").OrderDirection;
        }[] | undefined;
        saved?: boolean | undefined;
    }[]>;
    params: IListLocalOperationParams;
    up: (index: number) => void;
    down: (index: number) => void;
    remove: (index: number) => Promise<void>;
    editable: import("vue").Ref<boolean>;
    warning: import("vue").Ref<boolean>;
    fields: import("vue").ComputedRef<import("@fly-vue/lcdp-api").IField[]>;
    finalColumns: import("vue").ComputedRef<import("@fly-vue/ide-base").ITableColumn[]>;
    addIndex: () => void;
    validate: () => true | "请补全必填项";
    save: () => Promise<boolean>;
    removeIndex: (index: number) => Promise<void>;
    onChangeIndexFields: (index: IIndex) => void;
    init: () => void;
    fieldsWarningClass: (item: IIndex) => {
        'ui-ring-2 ui-ring-red-400': boolean;
    };
    Checkbox: typeof Checkbox;
    Button: typeof Button;
    SelectIndexFields: import("vue").DefineComponent<{
        value: {
            type: PropType<import("@fly-vue/lcdp-api").IIndexField[]>;
            default: () => never[];
        };
        fields: {
            type: PropType<import("@fly-vue/lcdp-api").IField[]>;
            required: true;
        };
    }, {
        __sfc: boolean;
        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
            value: import("@fly-vue/lcdp-api").IIndexField[];
            fields: import("@fly-vue/lcdp-api").IField[];
        } & {}>>>;
        emit: (event: "input" | "on-ok", ...args: any[]) => void;
        list: import("vue").Ref<{
            name: string;
            order: import("@fly-vue/lcdp-api").OrderDirection;
        }[]> | import("vue").WritableComputedRef<import("@fly-vue/lcdp-api").IIndexField[]>;
        isShowAdd: import("vue").Ref<boolean>;
        candidates: import("vue").Ref<{
            selected?: boolean | undefined;
            title?: string | undefined;
            name: string;
            order: import("@fly-vue/lcdp-api").OrderDirection;
        }[]>;
        init: () => void;
        save: () => void;
        add: () => void;
        Row: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/row.vue")>;
        Column: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/column.vue")>;
        LcText: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/text.vue")>;
        LcModal: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/modal.vue")>;
        FormBtns: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/form-btns.vue")>;
        LcLine: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/line.vue")>;
        OrderDirection: typeof import("@fly-vue/lcdp-api").OrderDirection;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("input" | "on-ok")[], string, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: PropType<import("@fly-vue/lcdp-api").IIndexField[]>;
            default: () => never[];
        };
        fields: {
            type: PropType<import("@fly-vue/lcdp-api").IField[]>;
            required: true;
        };
    }>>, {
        value: import("@fly-vue/lcdp-api").IIndexField[];
    }>;
    Row: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/row.vue")>;
    Column: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/column.vue")>;
    LcText: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/text.vue")>;
    Icon: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/icon.vue")>;
    Table: () => Promise<typeof import("@fly-vue/ide-base/@types/components/table/table.vue")>;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "on-remove"[], string, Readonly<import("vue").ExtractPropTypes<{
    id: {
        type: StringConstructor;
    };
    data: {
        type: PropType<IEntity>;
        required: true;
    };
    isSystem: {
        type: BooleanConstructor;
    };
}>>, {
    isSystem: boolean;
}>;
export default _default;
