import { IMetaObject, IMetaProps } from '@fly-vue/lcdp-api';
import { ITreeOptions, ITreeNode } from '@fly-vue/ide-base';
import { FileType, TabOpener } from '@fly-vue/ide-core';
declare const _default: import("vue").DefineComponent<{
    appId: {
        type: StringConstructor;
    };
    openTab: {
        type: BooleanConstructor;
    };
    selected: {
        type: StringConstructor;
    };
    immediate: {
        type: BooleanConstructor;
        default: boolean;
    };
    placeholderId: {
        type: StringConstructor;
    };
    packageName: {
        type: StringConstructor;
    };
    folderable: {
        type: BooleanConstructor;
    };
    isFold: {
        type: BooleanConstructor;
    };
    showMenus: {
        type: BooleanConstructor;
    };
}, {
    __sfc: boolean;
    props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
        openTab: boolean;
        immediate: boolean;
        folderable: boolean;
        isFold: boolean;
        showMenus: boolean;
    } & {
        selected?: string | undefined;
        appId?: string | undefined;
        packageName?: string | undefined;
        placeholderId?: string | undefined;
    }>>>;
    emit: (event: "on-select" | "on-loaded" | "update:isFold", ...args: any[]) => void;
    meta: IMetaProps;
    appId: string | undefined;
    doImport: ({ id: packageId }?: {
        id: string;
    } | undefined) => Promise<void>;
    doExportZip: (data?: any) => Promise<void>;
    refMetaTree: import("vue").Ref<any>;
    selected: import("vue").Ref<string | undefined>;
    keyword: import("vue").Ref<string>;
    fileType: FileType;
    tabOpener: TabOpener;
    treeOptions: ITreeOptions;
    reloadPackageList: (selectId?: string | undefined) => Promise<void>;
    handleData: (tree: ITreeNode[]) => void;
    onSelect: (node: ITreeNode) => void;
    showAddObject: () => void;
    onLoaded: (list: any[]) => void;
    generateEntitiesFromDb: () => void;
    beforeRemoveObject: (obj: IMetaObject) => Promise<boolean>;
    Link: () => Promise<typeof import("@fly-vue/ide-base/@types/components/button/link.vue")>;
    Row: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/row.vue")>;
    Column: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/column.vue")>;
    MetaTree: () => Promise<typeof import("@fly-vue/ide-core/@types/components/meta/meta-tree/meta-tree.vue")>;
    EntityAddForm: import("vue").DefineComponent<{
        object: {
            type: import("vue").PropType<IMetaObject<any>>;
        };
    }, {
        __sfc: boolean;
        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{} & {
            object?: IMetaObject<any> | undefined;
        }>>>;
        emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
        refInput: import("vue").Ref<any>;
        meta: IMetaProps;
        appId: string | undefined;
        data: any;
        isDataValid: import("vue").ComputedRef<any>;
        fileName: (rule: any, value: string, cb: any) => any;
        required: (rule: any, value: string, cb: any) => any;
        onValidate: (props: any, status: any, error: any) => void;
        reload: () => Promise<void>;
        save: () => Promise<void>;
        Column: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/column.vue")>;
        LcText: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/text.vue")>;
        LcForm: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/form.vue")>;
        LcFormItem: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/form-item.vue")>;
        FormBtns: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/form-btns.vue")>;
        LcLine: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/line.vue")>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<import("vue").ExtractPropTypes<{
        object: {
            type: import("vue").PropType<IMetaObject<any>>;
        };
    }>>, {}>;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-select" | "on-loaded" | "update:isFold")[], string, Readonly<import("vue").ExtractPropTypes<{
    appId: {
        type: StringConstructor;
    };
    openTab: {
        type: BooleanConstructor;
    };
    selected: {
        type: StringConstructor;
    };
    immediate: {
        type: BooleanConstructor;
        default: boolean;
    };
    placeholderId: {
        type: StringConstructor;
    };
    packageName: {
        type: StringConstructor;
    };
    folderable: {
        type: BooleanConstructor;
    };
    isFold: {
        type: BooleanConstructor;
    };
    showMenus: {
        type: BooleanConstructor;
    };
}>>, {
    openTab: boolean;
    immediate: boolean;
    folderable: boolean;
    isFold: boolean;
    showMenus: boolean;
}>;
export default _default;
