import { IDatasource, IDatasourceConfig } from '@fly-vue/lcdp-api';
declare const _default: import("vue").DefineComponent<{
    testProp: {
        type: StringConstructor;
        required: true;
    };
}, {
    __sfc: boolean;
    emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
    config: import("vue").Ref<IDatasourceConfig | undefined>;
    selectedDatasource: import("vue").Ref<string | undefined>;
    selectedDatabase: import("vue").Ref<string | undefined>;
    databaseList: import("vue").Ref<{
        datasource?: string | undefined;
        name: string;
        tables?: {
            name: string;
            entity: string;
            title?: string | undefined;
            remarks?: string | undefined;
            generateAuthority?: boolean | undefined;
            exists?: boolean | undefined;
            selected?: boolean | undefined;
        }[] | undefined;
    }[]>;
    tableList: import("vue").Ref<{
        name: string;
        entity: string;
        title?: string | undefined;
        remarks?: string | undefined;
        generateAuthority?: boolean | undefined;
        exists?: boolean | undefined;
        selected?: boolean | undefined;
    }[]>;
    keyword: import("vue").Ref<string>;
    loadingTables: import("vue").Ref<boolean>;
    generateColumns: ({
        slot: string;
        width: number;
        align: string;
        renderHeader: (h: any) => any[];
        title?: undefined;
        sortable?: undefined;
        key?: undefined;
        minWidth?: undefined;
    } | {
        width: number;
        title: string;
        sortable: boolean;
        key: string;
        slot?: undefined;
        align?: undefined;
        renderHeader?: undefined;
        minWidth?: undefined;
    } | {
        width: number;
        title: string;
        sortable: boolean;
        slot: string;
        key: string;
        align?: undefined;
        renderHeader?: undefined;
        minWidth?: undefined;
    } | {
        minWidth: number;
        title: string;
        sortable: boolean;
        slot: string;
        key: string;
        width?: undefined;
        align?: undefined;
        renderHeader?: undefined;
    })[];
    filterdTableList: import("vue").ComputedRef<{
        name: string;
        entity: string;
        title?: string | undefined;
        remarks?: string | undefined;
        generateAuthority?: boolean | undefined;
        exists?: boolean | undefined;
        selected?: boolean | undefined;
    }[]>;
    isDataValid: import("vue").ComputedRef<boolean>;
    finalColumns: import("vue").ComputedRef<({
        slot: string;
        width: number;
        align: string;
        renderHeader: (h: any) => any[];
        title?: undefined;
        sortable?: undefined;
        key?: undefined;
        minWidth?: undefined;
    } | {
        width: number;
        title: string;
        sortable: boolean;
        key: string;
        slot?: undefined;
        align?: undefined;
        renderHeader?: undefined;
        minWidth?: undefined;
    } | {
        width: number;
        title: string;
        sortable: boolean;
        slot: string;
        key: string;
        align?: undefined;
        renderHeader?: undefined;
        minWidth?: undefined;
    } | {
        minWidth: number;
        title: string;
        sortable: boolean;
        slot: string;
        key: string;
        width?: undefined;
        align?: undefined;
        renderHeader?: undefined;
    })[]>;
    reload: () => Promise<void>;
    onChangeDs: (ds?: IDatasource | undefined) => void;
    onChangeDatabase: () => Promise<void>;
    submitting: import("vue").Ref<boolean>;
    submit: () => Promise<void>;
    Row: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/row.vue")>;
    Column: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/column.vue")>;
    LcText: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/text.vue")>;
    SearchInput: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/search-input.vue")>;
    Icon: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/icon.vue")>;
    LcForm: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/form.vue")>;
    LcFormItem: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/form-item.vue")>;
    FormBtns: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/form-btns.vue")>;
    LcSelect: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/select.vue")>;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<import("vue").ExtractPropTypes<{
    testProp: {
        type: StringConstructor;
        required: true;
    };
}>>, {}>;
export default _default;
